<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once '../constants.php';
require '../vendor/autoload.php';

use GuzzleHttp\Client;

// $appId = '367731132973197';
// $appSecret = '5303cd76c3120e38a9d2e3376e582715';

$appId = APP_ID;
$appSecret = APP_SECRET;
$redirectUri = 'https://demo.imageonline.in/irctc-news-feed/meta/callback.php'; // e.g., https://yourdomain.com/callback.php
$code = $_GET['code'] ?? null;

if (!$code) {
    die('No code received');
}

// Create Guzzle client
$client = new Client();

// Exchange code for user access token
$response = $client->request('GET', "https://graph.facebook.com/v12.0/oauth/access_token", [
    'query' => [
        'client_id' => $appId,
        'client_secret' => $appSecret,
        'redirect_uri' => $redirectUri,
        'code' => $code,
    ],
]);

$data = json_decode($response->getBody(), true);
$userAccessToken = $data['access_token'];

// Get the list of pages the user manages
$response = $client->request('GET', "https://graph.facebook.com/v12.0/me/accounts", [
    'query' => [
        'access_token' => $userAccessToken,
    ],
]);

$pages = json_decode($response->getBody(), true);

// p($pages);

$pageAccessTokens = [];

foreach ($pages['data'] as $page) {
    $pageAccessTokens[$page['name']] = $page['access_token'];
}

// p($pageAccessTokens);

// Example: Getting a specific page token
$yourPageName = 'Image Online '; // Change this to your page name
$pageToken = $pageAccessTokens[$yourPageName] ?? null;

if ($pageToken) {

    file_put_contents('page_token.txt', $pageToken);

    echo "Page Access Token: " . htmlspecialchars($pageToken);

    // echo 
    // $accessToken = $pageAccessTokens[$yourPageName];

    // if($pageAccessTokens[$yourPageName])
    // {
    //     $_SESSION['accessToken'] = $pageAccessTokens[$yourPageName];

    //     require_once 'fetchPost.php';
    // }

} else {
    echo "Page not found.";
}


function p($data, $die = 1)
{
    echo "<pre>";
    print_r($data);
    echo "</pre>";
    
    if($die)
    {
        die;
    }
    
}