<?php

header('Content-Type: application/json; charset=utf-8');

session_start();

require_once '../constants.php';
require '../vendor/autoload.php'; // Change path as needed

use GuzzleHttp\Client;

function fetchInstagramPosts($accessToken, $instagramUserId)
{
    
    //https://graph.facebook.com/v15.0/me/accounts?access_token=EAAFOcxONwI0BOx1O4eVCqZB0KZALMO2P1n2eXzgmB4gsZAGj4ZAxmpAuOXBCZCdnW2hwSoZAWMiszV133n26SGxTUuXvtjUxBy2ZBgrb0rNtRn4Ro8PVdHavPy4uVSM8zEPqqL7PvzNMdQiC6pMuZBqeEMG3ZBEx2ReNWTMfhBrkrMd3gGsiS0OB0ZCLe5ZAU5YRyBupGQzcjyXriF24cv3h8GsgLfkR93teSZC0AwZDZD
    // Instagram Graph API endpoint to fetch recent media
    $endpoint = "https://graph.instagram.com/{$instagramUserId}/media?fields=id,caption,media_type,media_url,thumbnail_url,permalink,timestamp&access_token={$accessToken}";
    
    // Initialize cURL session
    $ch = curl_init();
    
    // Set cURL options
    curl_setopt($ch, CURLOPT_URL, $endpoint);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    
    // Execute cURL and get the response
    $response = curl_exec($ch);
    echo "<pre>";print_r($response);exit;
    // Check for errors
    if(curl_errno($ch)) {
        echo 'Error:' . curl_error($ch);
    } else {
        // Decode JSON response
        $data = json_decode($response, true);
    
        // Check if data is available
        if (isset($data['data'])) {
            foreach ($data['data'] as $media) {
                // Example of processing each media item
                echo 'ID: ' . $media['id'] . '<br>';
                echo 'Caption: ' . (isset($media['caption']) ? $media['caption'] : 'No Caption') . '<br>';
                echo 'Media Type: ' . $media['media_type'] . '<br>';
                echo 'Media URL: ' . $media['media_url'] . '<br>';
                echo 'Link: <a href="' . $media['permalink'] . '" target="_blank">View Post</a><br>';
                echo 'Timestamp: ' . $media['timestamp'] . '<br><br>';
            }
        } else {
            echo 'No media found.';
        }
    }
    
    // Close cURL session
    curl_close($ch);

}

// Example usage
$appId = APP_ID;
$appSecret = APP_SECRET;
$instagramUserId = '552805587196020';
$accessToken = file_get_contents('page_token_insta.txt');
$pageId = PAGE_ID;

if (empty($accessToken))
{
    die("Token not found");
}

$posts = fetchInstagramPosts($accessToken, $instagramUserId);

$response_data = [
    'status' => false,
    'message' => 'No post found',
    'data' => []
];

// Example to show the output
if (!empty($posts))
{
    foreach ($posts as $post)
    {
        $posts_arr[] = [
            'post_id' => $post['id'],
            'post_message' => $post['message'],
            'post_attachments' => $post['attachments']
        ];
    }

    $response_data['status'] = true;
    $response_data['message'] = 'Post found';
    $response_data['data'] = $posts_arr;

    // echo json_encode($response_data);
}

echo json_encode($response_data);
