<?php

require_once '../constants.php';
require '../vendor/autoload.php'; // Change path as needed

use GuzzleHttp\Client;

function debugAccessToken($appId, $appSecret, $accessToken) {
    $client = new Client();
    $response = $client->request('GET', 'https://graph.facebook.com/debug_token', [
        'query' => [
            'input_token' => $accessToken,
            'access_token' => "{$appId}|{$appSecret}"
        ]
    ]);

    $data = json_decode($response->getBody(), true);
    return $data;
}

// Example usage
$appId = APP_ID;
$appSecret = APP_SECRET;
$pageAccessToken = file_get_contents('page_token.txt');

$result = debugAccessToken($appId, $appSecret, $pageAccessToken);
date_default_timezone_set('Asia/Kolkata');
$result['data']['data_access_expires_at_readable'] = date('Y-m-d H:i:s', $expiresAt);

echo "<pre>";
print_r($result);
echo "</pre>";
?>
